| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
wtap_optval_t Union Reference

Discriminated union holding the value of any Wiretap option type. More...

`#include <wtap_opttypes.h>`

## Public Attributes
uint8_t | uint8val
uint32_t | uint32val
uint64_t | uint64val
int8_t | int8val
int32_t | int32val
int64_t | int64val
ws_in4_addr | ipv4val
ws_in6_addr | ipv6val
char * | stringval
GBytes * | byteval
custom_string_opt_t | custom_stringval
custom_binary_opt_t | custom_binaryval
if_filter_opt_t | if_filterval
packet_verdict_opt_t | packet_verdictval
packet_hash_opt_t | packet_hash

## Detailed Description

Discriminated union holding the value of any Wiretap option type.

Exactly one member is valid per option instance, determined by the accompanying option code and its registered value type.

## Member Data Documentation

## ◆ byteval

GBytes* wtap_optval_t::byteval

Arbitrary binary blob option value.

## ◆ custom_binaryval

custom_binary_opt_t wtap_optval_t::custom_binaryval

Custom pen-specific binary option value.

## ◆ custom_stringval

custom_string_opt_t wtap_optval_t::custom_stringval

Custom pen-specific string option value.

## ◆ if_filterval

if_filter_opt_t wtap_optval_t::if_filterval

Interface capture filter option value.

## ◆ int32val

int32_t wtap_optval_t::int32val

Signed 32-bit integer option value.

## ◆ int64val

int64_t wtap_optval_t::int64val

Signed 64-bit integer option value.

## ◆ int8val

int8_t wtap_optval_t::int8val

Signed 8-bit integer option value.

## ◆ ipv4val

ws_in4_addr wtap_optval_t::ipv4val

IPv4 address option value (network byte order).

## ◆ ipv6val

ws_in6_addr wtap_optval_t::ipv6val

IPv6 address option value.

## ◆ packet_hash

packet_hash_opt_t wtap_optval_t::packet_hash

Packet hash/digest option value.

## ◆ packet_verdictval

packet_verdict_opt_t wtap_optval_t::packet_verdictval

Packet verdict option value.

## ◆ stringval

char* wtap_optval_t::stringval

Null-terminated UTF-8 string option value.

## ◆ uint32val

uint32_t wtap_optval_t::uint32val

Unsigned 32-bit integer option value.

## ◆ uint64val

uint64_t wtap_optval_t::uint64val

Unsigned 64-bit integer option value.

## ◆ uint8val

uint8_t wtap_optval_t::uint8val

Unsigned 8-bit integer option value.

The documentation for this union was generated from the following file:

- /builds/wireshark/wireshark/wiretap/wtap_opttypes.h